Subject: bug#79173: 30.1; TRAMP simplified syntax produces empty completing-read candidates

From: Michael Albinus <[email-masked]>
Date: Thu, 07 Aug 2025 09:36:33 +0200

Reuben Thomas <[email-masked]> writes:

Hi Reuben,

> The vertico maintainer does not believe the patch for vertico is
> correct:
> https://github.com/minad/vertico/discussions/623#discussioncomment-14023927
>
> I just wanted to ensure that this doesn't affect the diagnosis of and
> the patch to TRAMP.

I've pushed the Tramp patch to the repositories. Will be available with
Emacs 31. And it will be also be part of the next GNU ELPA release,
Tramp 2.8.0.2.

I've tried your scenario, again, with the recompiled Emacs 31. I cannot
reproduce the error any longer. Could you, pls, check?

Best regards, Michael.